Unable to install Plesk Migrator on CentOS 6.8: The executed process was terminated because of unhandled signal received from the system

Created:

2016-11-16 13:23:33 UTC

Modified:

2017-08-08 13:22:44 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to install Plesk Migrator on CentOS 6.8: The executed process was terminated because of unhandled signal received from the system

Applicable to:

  • Plesk 12.5 for Linux

Symptoms

Plesk Migrator installation fails on CentOS 6.8 with the following error:

ERROR: The executed process was terminated because of unhandled signal received from the system.

Please try installing packages again later.
Please resolve this issue and try installing the packages again.
If you cannot resolve the issue on your own, contact product technical support for assistance.

The following error can be found in /var/log/messages :

centos kernel: sw-engine[3147] trap invalid opcode ip:7f33be5b0d60 sp:7ffd4bb9c358 error:0 in libfreeblpriv3.so[7f33be55e000+72000]

Cause

Centos Bug, please refer to this link for information.

Resolution

As the solution, perform the following:

  1. Export this variable to current session by running this command in the shell:

    export NSS_DISABLE_HW_GCM=1
  2. Edit /etc/init.d/sw-engine script adding the same string to it as in the example:

    #!/bin/sh
    #
    # sw-engine Startup script for Plesk panel sw-engine
    ### BEGIN INIT INFO
    # Provides: sw-engine-fpm
    # Required-Start: $remote_fs $network
    # Required-Stop: $remote_fs $network
    # chkconfig: - 85 15
    # Default-Start: 2 3 4 5
    # Default-Stop: 0 1 6
    # Short-Description: Start Plesk engine
    # description: Startup script for Plesk panel sw-engine
    ### END INIT INFO
    #
    export NSS_DISABLE_HW_GCM=1
    . /etc/init.d/functions
  3. Restart sw-engine service:

    service sw-engine restart
  4. Install Plesk Migrator using Plesk installer.

Have more questions? Submit a request
Please sign in to leave a comment.